Update: Microsoft Edge, Internet Explorer, and SAP Support Policies

To follow up to one of my previous blogs: "Is my SAP landscape ready for Internet Explorer 11?" - there have been some changes recently with SAP’s and Microsoft’s support policies.  In general, the only supported browsers are Internet Explorer 11 and Microsoft Edge.

But first, a brief explanation of Microsoft Edge, in case you’re unaware.  Microsoft Edge is the new browser from Microsoft.  It is separate from, and supersedes Internet Explorer 11.  Microsoft Edge is the default browser experience for Windows 10 and Windows 10 Mobile.  Internet Explorer is still supported by Microsoft and can be used for legacy ‘websites’ and apps.  You can have Microsoft Edge and Internet Explorer 11 both installed on the same Windows 10 machine.

As of January 2016, Microsoft and SAP no longer supports any Internet Explorer version lower than Internet Explorer 11.*

An important distinction should be made between Edge and IE11 because SAP only supports a limited subset of applications using Edge, and at the moment are not planning to extend it onto some, commonly used SAP applications.

Edge support is available for SAP UI5 applications and Enterprise Portal.**

Edge support is planned, but not currently available for SAP GUI for HTML, Web Dynpro ABAP, the Business Objects Suite and Lumira.

This support applies to Windows phone as well.  SAP supports Internet Explorer for Windows phone 8.1 and also Edge on Windows phone 10 for SAPUI5.

Edge Support is not planned for desktop or ‘embedded’ SAP GUI – as this requires Activex, and Mircosoft are dropping support for this – or any SAP UI Technologies with active plug-in components – such as ‘InteracrtiveForm’s, Gantt, etc.

This table below shows a general overview of availability with your SAP version. Please check the SAP Product Availability Matrix for your own specific version https://support.sap.com/pam.  This table assumes you are on the latest Support Package Stack (SPS) for each version.  Browser support is delivered with Support Package Stacks, so it is important you are patched to the latest SPS.

 

 IE11

 Edge

 NetWeaver 7.5 ABAP w/ SAPUI5 7.50

 Y

 Y

 NetWeaver 7.4 ABAP w/ SAPUI5 7.50

 Y

 Y

 NetWeaver 7.4 Enterprise Portal

 Y

 Y

 NetWeaver 7.3 EHP 1 ABAP

 Y

 N

 NetWeaver 7.3 EHP 1 Enterprise Portal

 Y

 Y

 NetWeaver 7.3

 Y

 N

 ...

 ...

 ...

 NetWeaver 7.0

 Y

 N

 ERP6 EHP8

 Y

 N

 ERP6 EHP7

 Y

 N

 ...

 ...

 ...

 ERP6

 Y

 N

In general the SRM, CRM and SCM applications, which are supported with Mainstream Maintenance by SAP, do support Internet Explorer 11 but are not currently supported with Microsoft Edge.

*Except for Windows Vista which Internet Explorer 9 is supported, and Windows Server 2012 R1 (not recommended by SAP) where Internet Explorer 10 is supported.

**As of Java support packages described in SAP Note 2176901

For more information, please make an enquiry below:  

Make an enquiry button